Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IRunAndRenderTask

All Superinterfaces:
  IEngineTask

    public interface IRunAndRenderTask

extends IEngineTask

an engine task that runs a report and renders it to one of the output formats supported by the engine.

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`CANCEL_ON_ERROR, CONTINUE_ON_ERROR, STATUS_CANCELLED, STATUS_FAILED, STATUS_NOT_STARTED, STATUS_RUNNING, STATUS_SUCCEEDED, TASK_DATAEXTRACTION, TASK_DATASETPREVIEW, TASK_GETPARAMETERDEFINITION, TASK_RENDER, TASK_RUN, TASK_RUNANDRENDER, TASK_UNKNOWN`

Method Summary
`IRenderOption` | `getRenderOption()`
`void` | `run()` runs the task to generate report document or other output format
`void` | `setEmitterID(java.lang.String id)` sets a specific emitter to use when generate output.
`void` | `setMaxRowsPerQuery(int maxRows)` set the max rows per query
`void` | `setPageHandler(IPageHandler callback)` set user defined IPageHandler
`void` | `setRenderOption(IRenderOption options)` set the rendering options

Methods inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`addScriptableJavaObject, cancel, cancel, close, getAppContext, getCancelFlag, getEngine, getErrors, getID, getLocale, getLogger, getParameterDisplayText, getParameterValue, getParameterValues, getReportRunnable, getStatus, getTaskType, getULocale, setAppContext, setDataSource, setDataSource, setErrorHandlingOption, setLocale, setLocale, setLogger, setParameter, setParameterDisplayText, setParameterValue, setParameterValues, setProgressMonitor, setStatusHandler, setTimeZone, setUserACL, validateParameters`

Method Detail

### setRenderOption

    void setRenderOption(IRenderOption options)

  set the rendering options

  Parameters:
    `settings` - the rendering options

### getRenderOption

    IRenderOption getRenderOption()

  Returns:
    the render option

### run

    void run()
             throws EngineException

  runs the task to generate report document or other output format

  Throws:
    `EngineException`

### setEmitterID

    void setEmitterID(java.lang.String id)

  sets a specific emitter to use when generate output. Used when there are more than one emitters that support a single format. One example is the FO-based PDF emitter and the new PDF emitter added in BIRT2.0. If this function is not called when there are more than 1 emitters that support a format, engine may arbitrarily pick one.

  Parameters:
    `id` - the identifier for the emitter

### setMaxRowsPerQuery

    void setMaxRowsPerQuery(int maxRows)

  set the max rows per query

  Parameters:
    `maxRows:` - max rows

### setPageHandler

    void setPageHandler(IPageHandler callback)

  set user defined IPageHandler

  Parameters:
    `callback` - user-defined IPageHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.